import os
from pasteob.auth.logic import *
from google.appengine.api import users

__all__ = ['GaeAuthLogic']

class GaeAuthLogic(AuthLogic):
    def __init__(self, req):
        self.logged_in = bool(req.environ.get('USER_ID'))

    user_cls = User
    def _make_user(self):
        e = os.environ
        is_admin = (e.get('USER_IS_ADMIN', '0')) == '1'
        roles = ['admin'] if is_admin else ()
        return self.user_cls(
            user_id=e['USER_ID'],
            email=e['USER_EMAIL'],
            nickname=e['USER_NICKNAME'],
            roles=roles
        )

    def _login_url(self, return_to):
        return users.create_login_url(return_to)

    def _logout_url(self, return_to):
        return users.create_logout_url(return_to)
