#! /usr/bin/env python
import sys, os
from setuptools import setup, find_packages

setup(
    name="PasteOb",
    version='0.9.1',
    description="Web development toolkit for people who know what they are doing",
    long_description="""
        A collection of small and independent components for web development.
        Everything here is just a bunch of WSGI apps and middlewares and helpers.
        If you like frameworks, stay away.
    """,
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Topic :: Internet :: WWW/HTTP :: WSGI",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Middleware",
        "Programming Language :: Python :: 2.5",
        "Programming Language :: Python :: 2.6",
        "Programming Language :: Python :: 2.7",
    ],
    keywords='web application wsgi',
    author="Sergey Schetinin",
    author_email="sergey@maluke.com",
    url="http://www.maluke.com/tech/pasteob",
    download_url='http://bitbucket.org/mlk/pasteob/get/tip.zip',
    license="MIT",
    packages=find_packages(),
    install_requires=[
        'WebOb>=1.1',
        'mext.uri>=1.3.1',
    ],
    test_suite='test.suite',
    tests_require=['mext.test>=0.4'],
)


